import { Context, Serializer } from '@metaplex-foundation/umi';
import { Key } from '../generated';
import { RuleSetRevision, RuleSetRevisionMap } from '../revisions';
export type RuleSetAccountData = {
    key: Key;
    latestRevision: RuleSetRevision;
    revisions: RuleSetRevision[];
    revisionMap: RuleSetRevisionMap;
};
export type RuleSetAccountDataArgs = RuleSetAccountData;
export declare const getRuleSetAccountDataSerializer: (context: Pick<Context, 'serializer'>) => Serializer<RuleSetAccountDataArgs, RuleSetAccountData>;
