import { Context, Serializer } from '@metaplex-foundation/umi';
export type RuleSetRevisionMap = {
    version: 1;
    location: number;
    revisionLocations: number[];
};
export declare const getRuleSetRevisionMapSerializer: (context: Pick<Context, 'serializer'>, location: number) => Serializer<RuleSetRevisionMap>;
export declare const getRuleSetRevisionMapFromAccountData: (context: Pick<Context, 'serializer'>, accountData: Uint8Array) => RuleSetRevisionMap;
