import type { AmountOperator } from '../shared';
import type { RuleV2 } from '../v2';
import { RuleV1 } from './rule';
export type AmountRuleV1 = {
    Amount: {
        amount: number;
        operator: AmountOperator;
        field: string;
    };
};
export declare const isAmountRuleV1: (rule: RuleV1 | RuleV2) => rule is AmountRuleV1;
