"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNotRuleV2 = exports.getNotRuleV2Serializer = exports.notV2 = void 0;
const rule_1 = require("./rule");
const ruleHeader_1 = require("./ruleHeader");
const ruleType_1 = require("./ruleType");
const notV2 = (rule) => ({ type: 'Not', rule });
exports.notV2 = notV2;
const getNotRuleV2Serializer = (context) => {
    const s = context.serializer;
    return (0, ruleHeader_1.wrapSerializerInRuleHeaderV2)(context, ruleType_1.RuleTypeV2.Not, s.struct([['rule', (0, rule_1.getRuleV2Serializer)(context)]]));
};
exports.getNotRuleV2Serializer = getNotRuleV2Serializer;
const isNotRuleV2 = (rule) => (0, rule_1.isRuleV2)(rule) && rule.type === 'Not';
exports.isNotRuleV2 = isNotRuleV2;
//# sourceMappingURL=not.js.map