import { Context, Serializer } from '@metaplex-foundation/umi';
import type { RuleV1 } from '../v1';
import { RuleV2 } from './rule';
export type PassRuleV2 = {
    type: 'Pass';
};
export declare const passV2: () => PassRuleV2;
export declare const getPassRuleV2Serializer: (context: Pick<Context, 'serializer'>) => Serializer<PassRuleV2>;
export declare const isPassRuleV2: (rule: RuleV1 | RuleV2) => rule is PassRuleV2;
