import { Context, PublicKeyBase58, Serializer } from '@metaplex-foundation/umi';
import { RuleSetRevisionV1, RuleV1 } from '../v1';
import { RuleV2 } from './rule';
export type RuleSetRevisionV2 = {
    libVersion: 2;
    name: string;
    owner: PublicKeyBase58;
    operations: Record<string, RuleV2>;
};
export declare const getRuleSetRevisionV2Serializer: (context: Pick<Context, 'serializer'>) => Serializer<RuleSetRevisionV2>;
export declare const getRuleSetRevisionV2FromV1: (ruleSetV1: RuleSetRevisionV1) => RuleSetRevisionV2;
export declare const getRuleV2FromV1: (ruleV1: RuleV1) => RuleV2;
