import { Context, Serializer } from '@metaplex-foundation/umi';
import { RuleTypeV2 } from './ruleType';
export type RuleHeaderV2 = {
    type: number;
    length: number;
};
export declare const getRuleHeaderV2Serializer: (context: Pick<Context, 'serializer'>) => Serializer<RuleHeaderV2>;
export declare const wrapSerializerInRuleHeaderV2: <T extends {
    type: string;
}>(context: Pick<Context, 'serializer'>, type: RuleTypeV2, serializer: Serializer<Omit<T, "type">, Omit<T, "type">>) => Serializer<T, T>;
