import { RuleV2 } from './rule';
export declare enum RuleTypeV2 {
    Uninitialized = 0,
    AdditionalSigner = 1,
    All = 2,
    Amount = 3,
    Any = 4,
    Frequency = 5,
    IsWallet = 6,
    Namespace = 7,
    Not = 8,
    Pass = 9,
    PdaMatch = 10,
    ProgramOwned = 11,
    ProgramOwnedList = 12,
    ProgramOwnedTree = 13,
    PubkeyListMatch = 14,
    PubkeyMatch = 15,
    PubkeyTreeMatch = 16
}
export declare const getRuleTypeV2AsString: (type: RuleTypeV2) => RuleV2['type'];
