import type { RuleV2 } from '../v2';
import { RuleV1 } from './rule';
import type { PublicKeyAsArrayOfBytes } from './publicKey';
export type PdaMatchRuleV1 = {
    PDAMatch: {
        program: PublicKeyAsArrayOfBytes;
        pda_field: string;
        seeds_field: string;
    };
};
export declare const isPdaMatchRuleV1: (rule: RuleV1 | RuleV2) => rule is PdaMatchRuleV1;
