import type { RuleV2 } from '../v2';
import { RuleV1 } from './rule';
import type { PublicKeyAsArrayOfBytes } from './publicKey';
export type ProgramOwnedRuleV1 = {
    ProgramOwned: {
        program: PublicKeyAsArrayOfBytes;
        field: string;
    };
};
export declare const isProgramOwnedRuleV1: (rule: RuleV1 | RuleV2) => rule is ProgramOwnedRuleV1;
