import type { RuleV2 } from '../v2';
import type { PublicKeyAsArrayOfBytes } from './publicKey';
import { RuleV1 } from './rule';
export type ProgramOwnedListRuleV1 = {
    ProgramOwnedList: {
        programs: PublicKeyAsArrayOfBytes[];
        field: string;
    };
};
export declare const isProgramOwnedListRuleV1: (rule: RuleV1 | RuleV2) => rule is ProgramOwnedListRuleV1;
