import type { RuleV2 } from '../v2';
import { RuleV1 } from './rule';
export type ProgramOwnedTreeRuleV1 = {
    ProgramOwnedTree: {
        root: number[];
        pubkey_field: string;
        proof_field: string;
    };
};
export declare const isProgramOwnedTreeRuleV1: (rule: RuleV1 | RuleV2) => rule is ProgramOwnedTreeRuleV1;
