import type { RuleV2 } from '../v2';
import { RuleV1 } from './rule';
export type PubkeyTreeMatchRuleV1 = {
    PubkeyTreeMatch: {
        root: number[];
        pubkey_field: string;
        proof_field: string;
    };
};
export declare const isPubkeyTreeMatchRuleV1: (rule: RuleV1 | RuleV2) => rule is PubkeyTreeMatchRuleV1;
