"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNamespaceRuleV2 = exports.getNamespaceRuleV2Serializer = exports.namespaceV2 = void 0;
const rule_1 = require("./rule");
const ruleHeader_1 = require("./ruleHeader");
const ruleType_1 = require("./ruleType");
const namespaceV2 = () => ({ type: 'Namespace' });
exports.namespaceV2 = namespaceV2;
const getNamespaceRuleV2Serializer = (context) => {
    const s = context.serializer;
    return (0, ruleHeader_1.wrapSerializerInRuleHeaderV2)(context, ruleType_1.RuleTypeV2.Namespace, s.struct([]));
};
exports.getNamespaceRuleV2Serializer = getNamespaceRuleV2Serializer;
const isNamespaceRuleV2 = (rule) => (0, rule_1.isRuleV2)(rule) && rule.type === 'Namespace';
exports.isNamespaceRuleV2 = isNamespaceRuleV2;
//# sourceMappingURL=namespace.js.map