import { Context, Serializer } from '@metaplex-foundation/umi';
import type { RuleV1 } from '../v1';
import { RuleV2 } from './rule';
export type ProgramOwnedTreeRuleV2 = {
    type: 'ProgramOwnedTree';
    pubkeyField: string;
    proofField: string;
    root: number[];
};
export declare const programOwnedTreeV2: (pubkeyField: string, proofField: string, root: Uint8Array | number[]) => ProgramOwnedTreeRuleV2;
export declare const getProgramOwnedTreeRuleV2Serializer: (context: Pick<Context, 'serializer'>) => Serializer<ProgramOwnedTreeRuleV2>;
export declare const isProgramOwnedTreeRuleV2: (rule: RuleV1 | RuleV2) => rule is ProgramOwnedTreeRuleV2;
