import { Context, PublicKeyBase58, PublicKeyInput, Serializer } from '@metaplex-foundation/umi';
import type { RuleV1 } from '../v1';
import { RuleV2 } from './rule';
export type PubkeyListMatchRuleV2 = {
    type: 'PubkeyListMatch';
    field: string;
    publicKeys: PublicKeyBase58[];
};
export declare const pubkeyListMatchV2: (field: string, publicKeys: PublicKeyInput[]) => PubkeyListMatchRuleV2;
export declare const getPubkeyListMatchRuleV2Serializer: (context: Pick<Context, 'serializer'>) => Serializer<PubkeyListMatchRuleV2>;
export declare const isPubkeyListMatchRuleV2: (rule: RuleV1 | RuleV2) => rule is PubkeyListMatchRuleV2;
